package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 专业榜单对象 mall_major_ranking
 * 
 * @author LCL
 * @date 2023-10-24
 */
public class MallMajorRanking extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 专业榜单主键ID */
    private Long rankingId;

    /** 类型：0-排行榜，1-专业强校，2-省份强校，3-非正常研究 */
    @Excel(name = "类型：0-排行榜，1-专业强校，2-省份强校，3-非正常研究")
    private String type;

    /** 专业榜单名称 */
    @Excel(name = "专业榜单名称")
    private String rankingName;

    /** 专业榜单标题 */
    @Excel(name = "专业榜单标题")
    private String rankingTitle;

    /** 专业榜单简介 */
    @Excel(name = "专业榜单简介")
    private String rankingInfo;

    /** 浏览量 */
    @Excel(name = "浏览量")
    private Long viewNum;

    /** 是否展示：0-展示，1-不展示 */
    @Excel(name = "是否展示：0-展示，1-不展示")
    private String isShow;

    /** 图标 */
    @Excel(name = "图标")
    private String icon;

    /** 状态:：0-启用，1-不启用 */
    @Excel(name = "状态:：0-启用，1-不启用")
    private String status;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setRankingId(Long rankingId) 
    {
        this.rankingId = rankingId;
    }

    public Long getRankingId() 
    {
        return rankingId;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setRankingName(String rankingName) 
    {
        this.rankingName = rankingName;
    }

    public String getRankingName() 
    {
        return rankingName;
    }
    public void setRankingTitle(String rankingTitle) 
    {
        this.rankingTitle = rankingTitle;
    }

    public String getRankingTitle() 
    {
        return rankingTitle;
    }
    public void setRankingInfo(String rankingInfo) 
    {
        this.rankingInfo = rankingInfo;
    }

    public String getRankingInfo() 
    {
        return rankingInfo;
    }
    public void setViewNum(Long viewNum) 
    {
        this.viewNum = viewNum;
    }

    public Long getViewNum() 
    {
        return viewNum;
    }
    public void setIsShow(String isShow) 
    {
        this.isShow = isShow;
    }

    public String getIsShow() 
    {
        return isShow;
    }
    public void setIcon(String icon) 
    {
        this.icon = icon;
    }

    public String getIcon() 
    {
        return icon;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("rankingId", getRankingId())
            .append("type", getType())
            .append("rankingName", getRankingName())
            .append("rankingTitle", getRankingTitle())
            .append("rankingInfo", getRankingInfo())
            .append("viewNum", getViewNum())
            .append("isShow", getIsShow())
            .append("icon", getIcon())
            .append("status", getStatus())
            .append("sort", getSort())
            .append("remarks", getRemarks())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
